package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * (PrjSubtopic)实体类
 *
 * @author makejava
 * @since 2023-03-20 16:25:07
 */
public class PrjSubtopic implements Serializable {
    private static final long serialVersionUID = -41285202891163069L;
    /**
     * 主键
     */
    private Integer id;
    /**
     * 序号
     */
    private Integer xh;
    /**
     * 课题名称
     */
    private String ktmc;
    /**
     * 负责人1
     */
    private Integer fzr;
    private String fzrxm;
    /**
     * 负责人1所在单位
     */
    private Integer fzrszdw;
    private String fzrszdwmc;
    /**
     * 主要研究内容
     */
    private String zyyjnr;
    /**
     * 起始时间
     */
    private Date qssj;
    /**
     * 结束时间
     */
    private Date jssj;
    /**
     * 项目
     */
    private Integer xm;
    /**
     * 经费
     */
    private Double jf;
    /**
     * 负责人2
     */
    private Integer fzr2;
    private String fzr2xm;
    /**
     * 负责人2所在单位
     */
    private Integer fzr2szdw;
    private String fzr2szdwmc;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getXh() {
        return xh;
    }

    public void setXh(Integer xh) {
        this.xh = xh;
    }

    public String getKtmc() {
        return ktmc;
    }

    public void setKtmc(String ktmc) {
        this.ktmc = ktmc;
    }

    public Integer getFzr() {
        return fzr;
    }

    public void setFzr(Integer fzr) {
        this.fzr = fzr;
    }

    public String getFzrxm() {
        return fzrxm;
    }

    public void setFzrxm(String fzrxm) {
        this.fzrxm = fzrxm;
    }

    public Integer getFzrszdw() {
        return fzrszdw;
    }

    public void setFzrszdw(Integer fzrszdw) {
        this.fzrszdw = fzrszdw;
    }

    public String getFzrszdwmc() {
        return fzrszdwmc;
    }

    public void setFzrszdwmc(String fzrszdwmc) {
        this.fzrszdwmc = fzrszdwmc;
    }

    public String getZyyjnr() {
        return zyyjnr;
    }

    public void setZyyjnr(String zyyjnr) {
        this.zyyjnr = zyyjnr;
    }

    public Date getQssj() {
        return qssj;
    }

    public void setQssj(Date qssj) {
        this.qssj = qssj;
    }

    public Date getJssj() {
        return jssj;
    }

    public void setJssj(Date jssj) {
        this.jssj = jssj;
    }

    public Integer getXm() {
        return xm;
    }

    public void setXm(Integer xm) {
        this.xm = xm;
    }

    public Double getJf() {
        return jf;
    }

    public void setJf(Double jf) {
        this.jf = jf;
    }

    public Integer getFzr2() {
        return fzr2;
    }

    public void setFzr2(Integer fzr2) {
        this.fzr2 = fzr2;
    }

    public String getFzr2xm() {
        return fzr2xm;
    }

    public void setFzr2xm(String fzr2xm) {
        this.fzr2xm = fzr2xm;
    }

    public Integer getFzr2szdw() {
        return fzr2szdw;
    }

    public void setFzr2szdw(Integer fzr2szdw) {
        this.fzr2szdw = fzr2szdw;
    }

    public String getFzr2szdwmc() {
        return fzr2szdwmc;
    }

    public void setFzr2szdwmc(String fzr2szdwmc) {
        this.fzr2szdwmc = fzr2szdwmc;
    }
}

